#!/bin/sh
#
# Sella NMS
# $Id: configure,v 2.4 2005/04/16 21:23:32 bill Exp $
# Copyright (c) 2001 Digital Genesis Software, LLC. All Rights Reserved.
# Released under the GPL Version 2 License.
# http://www.digitalgenesis.com
#

test -x configure || chmod 755 configure >> /dev/null 2>&1

cd src >> /dev/null 2>&1
if [ $? -ne 0 ]; then
	echo "The 'src' directory is missing or inaccessable."
	exit 0
fi

test -x shtool || chmod 755 shtool >> /dev/null 2>&1
test -x configure || chmod 755 configure >> /dev/null 2>&1
if [ $? -ne 0 ]; then
	echo "The file 'src/configure' is missing or non-executable."
	exit 0
fi

sh ./configure "$@"
